Package io.vertx.core.net

## Enum ProxyType

- java.lang.Object
- - java.lang.Enum<ProxyType>
  - - io.vertx.core.net.ProxyType

- All Implemented Interfaces:
    `Serializable`, `Comparable<ProxyType>`

      public enum ProxyType
      extends Enum<ProxyType>

  The type of a TCP proxy server.
  Author:
    Alexander Lehmann

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `HTTP` | HTTP CONNECT ssl proxy
    `SOCKS4` | SOCKS4/4a tcp proxy
    `SOCKS5` | SOCSK5 tcp proxy

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ProxyType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ProxyType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HTTP

          public static final ProxyType HTTP

      HTTP CONNECT ssl proxy

    - #### SOCKS4

          public static final ProxyType SOCKS4

      SOCKS4/4a tcp proxy

    - #### SOCKS5

          public static final ProxyType SOCKS5

      SOCSK5 tcp proxy

  - ### Method Detail

    - #### values

          public static ProxyType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ProxyType c : ProxyType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ProxyType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null